Page MenuHomePhabricator

B3. Flow DM: Create a basic flow.dm.Board and flow.dm.Topic objects and populate them
Closed, ResolvedPublic5 Story Points

Description

As a beginning to the Data Model for Flow, create a basic data model structure for Board and Topic, and then fill them up with the data.

As a starting point, the data will be filled in through an API request. We should as a future task switch this to be populate from the existing DOM and use OOUI infuse feature.

Related Objects

StatusAssignedTask
ResolvedDannyH
ResolvedDannyH
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedmatthiasmullie
OpenNone
OpenNone
Resolvedmatthiasmullie
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedMooeypoo
DuplicateNone
ResolvedMooeypoo

Event Timeline

Mooeypoo created this task.May 6 2015, 5:12 PM
Mooeypoo claimed this task.
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo updated the task description. (Show Details)
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 6 2015, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH set Security to None.May 6 2015, 6:13 PM
DannyH edited a custom field.
DannyH renamed this task from Flow DM: Create a basic flow.dm.Board and flow.dm.Topic objects and populate them to B3. Flow DM: Create a basic flow.dm.Board and flow.dm.Topic objects and populate them.May 6 2015, 8:45 PM
DannyH triaged this task as Normal priority.May 7 2015, 12:04 AM

Change 209166 had a related patch set uploaded (by Mooeypoo):
[wip^n] Create a basic data model layer for Flow JS

https://gerrit.wikimedia.org/r/209166

Change 209166 merged by jenkins-bot:
Create a basic data model layer for Flow JS

https://gerrit.wikimedia.org/r/209166

DannyH closed this task as Resolved.Jun 4 2015, 9:08 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-C-2015-06-17 board.
DannyH moved this task from Current workboard to Resolved on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.